[gobolinux-users] Firefox and Thunderbird libstdc++ dependicies

MJ Ray mjr at dsl.pipex.com
Sun Jan 2 19:29:34 GMT 2005


On 2004-12-19 23:13:45 +0000 ozgur ulukir <ozgurulukir at yahoo.com> 
wrote:

> Firefox and Thunderbird 1.0 packages ask for libstdc++.so.5 and that 
> file in 
> GCC 3.3.1 package.

# Recipe for Firefox 1.0
compile_version=1.0.1
url="http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/1.0/source/firefox-1.0-source.tar.bz2"
dir='mozilla'
is_compileprogram=yes
configure_options=("--enable-default-toolkit=gtk2" "--enable-xft" 
"--enable-crypto" 
"--enable-extensions=default,-irc,-venkman,-content-packs,-help" 
"--enable-strip" "--enable-strip-libs" "--enable-cpp-rtti" 
"--enable-xterm-updates" "--enable-render" "--enable-optimize" 
"--enable-mathml" "--enable-nspr-autoconf" "--enable-xsl" 
"--disable-debug" "--disable-ldap" "--disable-mailnews" 
"--disable-pedantic" "--disable-calendar" "--disable-composer" 
"--disable-toolkit-gtk" "--disable-profile-locking" 
"--disable-profile-sharing" "--enable-single-profile" "--with-x" 
"--with-system-zlib" "--with-system-png" "--with-system-jpeg" 
"--with-pthreads" "--with-user-appdir=.phoenix" 
"--with-default-mozilla-five-home=/Programs/MozillaFirefox/1.0/" 
"--disable-oji")
export MOZ_PHOENIX=1

If you are using a recent Freetype, you will also need the patch from 
https://bugzilla.mozilla.org/show_bug.cgi?id=234035#c65

-- 
MJR/slef    My Opinion Only and not of any group I know
  Creative copyleft computing - http://www.ttllp.co.uk/
  Unsolicited attachments to the pipex address deleted
Will HLF fund tree-killings? http://www.thewalks.co.uk/



More information about the gobolinux-users mailing list